# umeng应用性能监控 SDK
提供实时、可靠、全面的应用崩溃、ANR、自定义异常等捕获能力，支持多场景、多通道智能告警监控，帮助开发者高效还原崩溃用户的访问路径和业务现场，缩短故障排查时间


### 高级功能
#### 卡顿分析
如您完成common和apm插件的接入，即可使用卡顿分析功能，无需额外其他接入操作

#### 网络分析
仅支持okHttp

#### 启动分析


#### 内存分析
内存分析支持OOM异常和内存占用指标。
OOM异常是崩溃分析的子集，因此不单独提供开关配置，是否采集OOM与是否采集Crash同步，如您需要关闭某类崩溃，可通过【集成接入】-【采集开关】调整。
内存占用 需要接入U-APM SDK 1.4.0及以上版本，并建议搭配最新版本Common接入， 如您不希望采集内存占用相关指标，可通过【集成接入】-【采集开关】调整。

#### 采集开关


#### 混淆文件
```
-keep class com.umeng.** { *; }

-keep class com.uc.** { *; }

-keep class com.efs.** { *; }

-keepclassmembers class*{
     public<init>(org.json.JSONObject);
}
-keepclassmembers enum*{
      publicstatic**[] values();
      publicstatic** valueOf(java.lang.String);
}
```

SDK需要引用导入工程的资源文件，通过了反射机制得到资源引用文件R.java，但是在开发者通过proguard等混淆/优化工具处理apk时，proguard可能会将R.java删除，如果遇到这个问题，请添加如下配置：
```
-keep publicclass[您的应用包名].R$*{
      publicstaticfinalint*;
}
```
