import 'package:umeng_crash/umeng_crash.dart';

///
/// App全局初始化管理类
///
class GlobalSettings {
  ///
  /// 发布渠道如小米、华为、等
  ///
  static const APP_CHANNEL = String.fromEnvironment('APP_CHANNEL',defaultValue:'test');

  static const UMENG_APPKEY = '6130b199695f794bbd9cb984';

  GlobalSettings._();
  static Future<Null> init() async {
    ///初始化
    UmengCrash.preInit(appKey: UMENG_APPKEY, channel: APP_CHANNEL).whenComplete(
        () => Future.delayed(Duration(seconds:5),()=>UmengCrash.init(appKey: UMENG_APPKEY, channel: APP_CHANNEL)));
  }
}
